
var n, i, m, l, r : longint;

begin
  randomize;
  n := random(100) + 1;
  writeln(n);
  for i := 1 to n do write(random(21) - 10, ' ');
  writeln;
  m := random(100000) + 1;
  writeln(m);
  for i := 1 to m do begin
    if random(2) = 0 then begin
      writeln('assign ', random(n) + 1, ' ', random(21) - 10);
    end else begin
      l := random(n) + 1;
      r := random(n - l + 1) + l;
      writeln('torture ', l, ' ', r, ' ', random(21) - 10);
    end;
  end;
end.